module q_permutation 
#(
	parameter DATA_WIDTH = 8,
	parameter Q_NR 	     = 0
)
(
    input 				        clk_i	,
    input 				        reset_ni,
    input 	   [DATA_WIDTH-1:0] q_i		,
	
    output     [DATA_WIDTH-1:0] q_o
);
reg [DATA_WIDTH-1:0] permut_memory [0:(DATA_WIDTH*32)-1];
initial $readmemh(Q_NR?"../../src/q1_lookup.txt":"../../src/q0_lookup.txt", permut_memory);

assign q_o = permut_memory[q_i];
 

endmodule